## bullet 2.82-r2704+dfsg

=== debian/changelog ===
bullet (2.82-r2704+dfsg-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Sun, 06 Apr 2014 19:05:36 +0200

bullet (2.82-r2704+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Tue, 25 Mar 2014 14:29:21 +0100

bullet (2.82-r2704+dfsg-1) experimental; urgency=low

  * [d23f55a] Imported Upstream version 2.82-r2704+dfsg
  * [378223c] Update get-orig-source target for new upstream release.
  * [29f37ad] Rename all files to 2.82 because of the usual SONAME change.
  * [b6b39a5] debian/control: Rename all binary packages from 2.81 to 2.82.
  * [54b5c87] Update copyright years. Add a new contributor.
  * [f7bc2d2] Update homepage field to org address.
  * [388b5b7] Bump Standards-Version to 3.9.5, no changes.

 -- Markus Koschany <apo@gambaru.de>  Fri, 01 Nov 2013 11:15:43 +0100
