=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #export DH_VERBOSE=1
 
 DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-DTYPE := +dfsg2
+DTYPE := +dfsg
 PKG := bullet
 VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*(\d[\d\.]*(?:-r(?:ev)?\d+))}')
 
-VERSION=2.81
+VERSION=2.82
 
 %:
 	dh $@ --parallel --buildsystem=cmake
@@ -67,10 +67,8 @@
 		Extras/Serialize/BulletXmlWorldImporter/tiny* \
 		Demos/BulletDinoDemo \
 		Demos/DX11ClothDemo \
-		Demos/ParticlesOpenCL \
 		UnitTests/cppunit \
-		Bullet_User_Manual.pdf \
-		autom4te.cache
+		Bullet_User_Manual.pdf
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
 	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
