=== debian/watch ===
version=3
opts=dversionmangle=s/[\.\+]dfsg\.?\d*$// \
  http://code.google.com/p/bullet/downloads/list?can=1 \
  .*/bullet-(\d[\d\.]*(?:-r(?:ev)?\d+)?)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
