=== debian/changelog ===
bullet (2.83.5+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rename libraries for C++ ABI transition (Closes: #790988)
  * Build-depend on a version of libtinyxml-dev that has started
    the same transition
  * Vcs-Browser: use https

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Aug 2015 09:08:45 +0100

bullet (2.83.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Add SCEA Shared Source License 1.0
    and mention files which are partly copyrighted by Elsevier Inc.
    Thanks to Thorsten Alteholz for the report. (Closes: #792839)
  * get-orig-source: Add --download-current-version option to uscan.

 -- Markus Koschany <apo@gambaru.de>  Sun, 19 Jul 2015 13:40:15 +0200

bullet (2.83.4+dfsg-1) unstable; urgency=medium

  [ Markus Koschany ]
  * Imported Upstream version 2.83.4+dfsg.
  * Update debian/copyright for new release and use Files-Excluded mechanism to
    repack the source tarball. Remove all files without source and additional
    third party libraries which are already packaged for Debian and create a
    DFSG-free source tarball.
  * Rename all binary packages for version 2.83.
  * debian/rules:
    - Build the documentation without timestamps and make the build
      reproducible.
    - Remove doxygen_sqlite3.db in clean target, so that Bullet can be built
      twice in a row.
  * Remove source/options file because xz compression is the default now.
  * debian/control:
    - debian/control: Remove all Pre-Depends fields. They are obsolete now.
    - libbullet-doc: Depend on libjs-jquery and symlink jquery.js.

  [ Bret Curtis ]
  * Update debian/watch for new release. Bullet has moved to Github.
  * Drop do-not-build-with-embedded-glui-library.patch. Fixed upstream.
  * debian/control: Switch Vcs-Browser field to cgit.
  * debian/control: Rename all packages for version 2.83.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Markus Koschany <apo@gambaru.de>  Sat, 09 May 2015 11:56:22 +0200
