=== debian/control ===
--- 
+++ 
@@ -8,26 +8,26 @@
  cmake,
  debhelper (>= 9),
  freeglut3-dev,
- libtinyxml-dev,
+ libtinyxml-dev (>= 2.6.2-3),
  zlib1g-dev
 Build-Depends-Indep:
  doxygen,
  graphviz,
  rdfind,
  symlinks
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.bulletphysics.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/bullet.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git
-
-Package: libbulletsoftbody2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/bullet.git
+
+Package: libbulletsoftbody2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletsoftbody2.83
+Replaces: libbulletsoftbody2.83
 Description: professional 3D Game Multiphysics Library -- soft body
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -39,14 +39,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletcollision2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletcollision2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletcollision2.83
+Replaces: libbulletcollision2.83
 Description: professional 3D Game Multiphysics Library -- collision
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -59,14 +59,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletdynamics2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletdynamics2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletdynamics2.83
+Replaces: libbulletdynamics2.83
 Description: professional 3D Game Multiphysics Library -- dynamics
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -79,14 +79,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: liblinearmath2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: liblinearmath2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: liblinearmath2.83
+Replaces: liblinearmath2.83
 Description: professional 3D Game Multiphysics Library -- mathematics
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -96,14 +96,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libhacd2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libhacd2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libhacd2.83
+Replaces: libhacd2.83
 Description: professional 3D Game Multiphysics Library -- HACD
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -115,14 +115,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libconvexdecomposition2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libconvexdecomposition2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libconvexdecomposition2.83
+Replaces: libconvexdecomposition2.83
 Description: professional 3D Game Multiphysics Library -- convex decomposition
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -133,14 +133,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletfileloader2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletfileloader2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletfileloader2.83
+Replaces: libbulletfileloader2.83
 Description: professional 3D Game Multiphysics Library -- file loader
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -149,14 +149,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletworldimporter2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletworldimporter2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletworldimporter2.83
+Replaces: libbulletworldimporter2.83
 Description: professional 3D Game Multiphysics Library -- world importer
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -167,14 +167,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbulletxmlworldimporter2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libbulletxmlworldimporter2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libbulletxmlworldimporter2.83
+Replaces: libbulletxmlworldimporter2.83
 Description: professional 3D Game Multiphysics Library -- xml world importer
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -185,14 +185,14 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libgimpactutils2.82
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Package: libgimpactutils2.83v5
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: libgimpactutils2.83
+Replaces: libgimpactutils2.83
 Description: professional 3D Game Multiphysics Library -- GIMPACT
  Bullet professional 3D Game Multiphysics Library provides state of the art
  collision detection, soft body and rigid body dynamics.
@@ -208,10 +208,10 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libbulletcollision2.82 (= ${binary:Version}),
- libbulletdynamics2.82 (= ${binary:Version}),
- libbulletsoftbody2.82 (= ${binary:Version}),
- liblinearmath2.82 (= ${binary:Version}),
+ libbulletcollision2.83v5 (= ${binary:Version}),
+ libbulletdynamics2.83v5 (= ${binary:Version}),
+ libbulletsoftbody2.83v5 (= ${binary:Version}),
+ liblinearmath2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- development files
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -245,12 +245,12 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libbulletfileloader2.82 (= ${binary:Version}),
- libbulletworldimporter2.82 (= ${binary:Version}),
- libbulletxmlworldimporter2.82 (= ${binary:Version}),
- libconvexdecomposition2.82 (= ${binary:Version}),
- libgimpactutils2.82 (= ${binary:Version}),
- libhacd2.82 (= ${binary:Version}),
+ libbulletfileloader2.83v5 (= ${binary:Version}),
+ libbulletworldimporter2.83v5 (= ${binary:Version}),
+ libbulletxmlworldimporter2.83v5 (= ${binary:Version}),
+ libconvexdecomposition2.83v5 (= ${binary:Version}),
+ libgimpactutils2.83v5 (= ${binary:Version}),
+ libhacd2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- extra development
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -260,22 +260,22 @@
  .
  For more information about Bullet, please refer to the libbullet-dev package.
 
-Package: libbullet2.82-dbg
+Package: libbullet2.83-dbg
 Priority: extra
 Section: debug
 Architecture: any
 Multi-Arch: same
 Depends:
- libbulletcollision2.82 (= ${binary:Version}),
- libbulletdynamics2.82 (= ${binary:Version}),
- libbulletfileloader2.82 (= ${binary:Version}),
- libbulletsoftbody2.82 (= ${binary:Version}),
- libbulletworldimporter2.82 (= ${binary:Version}),
- libbulletxmlworldimporter2.82 (= ${binary:Version}),
- libconvexdecomposition2.82 (= ${binary:Version}),
- libgimpactutils2.82 (= ${binary:Version}),
- libhacd2.82 (= ${binary:Version}),
- liblinearmath2.82 (= ${binary:Version}),
+ libbulletcollision2.83v5 (= ${binary:Version}),
+ libbulletdynamics2.83v5 (= ${binary:Version}),
+ libbulletfileloader2.83v5 (= ${binary:Version}),
+ libbulletsoftbody2.83v5 (= ${binary:Version}),
+ libbulletworldimporter2.83v5 (= ${binary:Version}),
+ libbulletxmlworldimporter2.83v5 (= ${binary:Version}),
+ libconvexdecomposition2.83v5 (= ${binary:Version}),
+ libgimpactutils2.83v5 (= ${binary:Version}),
+ libhacd2.83v5 (= ${binary:Version}),
+ liblinearmath2.83v5 (= ${binary:Version}),
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- debugging symbols
  Bullet professional 3D Game Multiphysics Library provides state of the art
@@ -289,6 +289,7 @@
 Section: doc
 Architecture: all
 Depends:
+ libjs-jquery,
  ${misc:Depends}
 Description: professional 3D Game Multiphysics Library -- documentation
  Bullet professional 3D Game Multiphysics Library provides state of the art
