## bullet 2.83.6%2Bdfsg

=== Extras/CMakeLists.txt ===
SUBDIRS( Serialize ConvexDecomposition HACD GIMPACTUtils )

#Maya Dynamica plugin is moved to http://dynamica.googlecode.com

#IF (USE_GLUT AND GLUT_FOUND)
#	SUBDIRS (glui)
#ENDIF ()
